Bug 196531 - A lot of assertions "SUID: TYPEDEF..." on boost project
A lot of assertions "SUID: TYPEDEF..." on boost project
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
7.0
PC Solaris
: P1 (vote)
: 7.0
Assigned To: nnnnnk
issues@cnd
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-10 08:49 UTC by Alexander Simon
Modified: 2011-03-18 12:38 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2011-03-10 08:49:51 UTC
For example assertion for file:
boost_1_43_0/boost/math/special_functions/acosh.hpp

java.lang.AssertionError: SUID: TYPEDEF result_type[3035-3093][acosh.hpp 91:13-91:71], TYPEDEF result_type[3035-3093][acosh.hpp 91:13-91:71]
	at org.netbeans.modules.cnd.modelimpl.uid.UIDObjectFactory.writeUID(UIDObjectFactory.java:128)
	at org.netbeans.modules.cnd.modelimpl.csm.TypeImpl.write(TypeImpl.java:730)
	at org.netbeans.modules.cnd.modelimpl.repository.PersistentUtils.writeType(PersistentUtils.java:399)
	at org.netbeans.modules.cnd.modelimpl.csm.TypeBasedSpecializationParameterImpl.write(TypeBasedSpecializationParameterImpl.java:171)
	at org.netbeans.modules.cnd.modelimpl.repository.PersistentUtils.writeSpecializationParameters(PersistentUtils.java:491)
	at org.netbeans.modules.cnd.modelimpl.csm.Instantiation.write(Instantiation.java:394)
	at org.netbeans.modules.cnd.modelimpl.csm.Instantiation$Class.write(Instantiation.java:574)
	at org.netbeans.modules.cnd.repository.support.AbstractObjectFactory.writeSelfPersistent(AbstractObjectFactory.java:69)
	at org.netbeans.modules.cnd.modelimpl.csm.core.CsmObjectFactory.write(CsmObjectFactory.java:573)
	at org.netbeans.modules.cnd.repository.sfs.BufferedRWAccess.write(BufferedRWAccess.java:124)
	at org.netbeans.modules.cnd.repository.sfs.IndexedStorageFile.write(IndexedStorageFile.java:157)
	at org.netbeans.modules.cnd.repository.sfs.DoubleFileStorage.write(DoubleFileStorage.java:154)
	at org.netbeans.modules.cnd.repository.disk.UnitImpl.putPhysically(UnitImpl.java:189)
	at org.netbeans.modules.cnd.repository.disk.DiskRepositoryManager.write(DiskRepositoryManager.java:189)
	at org.netbeans.modules.cnd.repository.queue.RepositoryWritingThread.run(RepositoryWritingThread.java:126)
	at org.netbeans.modules.cnd.repository.queue.RepositoryThreadManager$Wrapper.run(RepositoryThreadManager.java:88)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)
Comment 1 Alexander Simon 2011-03-10 08:51:53 UTC
Code fragment that produces assertion:
----------------------8<-------------------
        template<typename T, typename Policy>
        inline typename tools::promote_args<T>::type acosh(T x, const Policy&)
        {
            typedef typename tools::promote_args<T>::type result_type;
            typedef typename policies::evaluation<result_type, Policy>::type value_type;
            typedef typename policies::normalise<
               Policy, 
               policies::promote_float<false>, 
               policies::promote_double<false>, 
               policies::discrete_quantile<>,
               policies::assert_undefined<> >::type forwarding_policy;
           return policies::checked_narrowing_cast<result_type, forwarding_policy>(
              detail::acosh_imp(static_cast<value_type>(x), forwarding_policy()),
              "boost::math::acosh<%1%>(%1%)");
        }
----------------------8<-------------------
Assertion for line:
typedef typename tools::promote_args<T>::type result_type;
Comment 2 Vladimir Voskresensky 2011-03-10 11:19:43 UTC
Please, evaluate how it affect release version (i.e. is there reparse on project restart, is find usages works first time and doesn't work on next, ...)
Comment 3 Alexander Simon 2011-03-10 19:38:49 UTC
Release version reparses project on every IDE starting if user have problematic file opened in editor.
Comment 4 Leonid Lenyashin 2011-03-14 14:09:47 UTC
Alexander P., please evaluate against Show Stopper status
Comment 5 nnnnnk 2011-03-16 16:55:27 UTC
fixed in cnd-main
http://hg.netbeans.org/cnd-main/rev/bdbe3d1949f6
Comment 6 Alexander Pepin 2011-03-16 17:13:27 UTC
Yes, it's a showstopper. Please review and verify (QA) the fix.
Comment 7 Vladimir Voskresensky 2011-03-16 19:44:17 UTC
fix is reviewed. It's correct and safe
Comment 8 soldatov 2011-03-17 11:16:28 UTC
Verified in NetBeans IDE Dev (Build cnd-main-5549-on-110316)
Comment 9 Vladimir Voskresensky 2011-03-17 20:28:49 UTC
http://hg.netbeans.org/releases/rev/1afeb0444465
Comment 10 soldatov 2011-03-18 12:38:57 UTC
Verified in NetBeans IDE 7.0 RC1 (Build 201103180000)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo